{% extends 'admin.html.twig' %}

{% block title %}Components{% endblock %}

{% block body %}

    <h1 abbr_class="text-center">Components</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ component.id }}</td>
            </tr>
            <tr>
                <th>Type</th>
                <td>{{ component.Type }}</td>
            </tr>
            <tr>
                <th>Name</th>
                <td>{{ component.Name }}</td>
            </tr>
            <tr>
                <th>Url</th>
                <td> <a href="{{ component.Url }}"> Acheter </a></td>
            </tr>
            <tr>
                <th>Price</th>
                <td>{{ component.Price }}</td>
            </tr>
            <tr>
                <th>Size</th>
                <td>{{ component.Size }}</td>
            </tr>
            <tr>
                <th>Frequency</th>
                <td>{{ component.Frequency }}</td>
            </tr>
            <tr>
                <th>Power</th>
                <td>{{ component.Power }}</td>
            </tr>
            <tr>
                <th>Pcies</th>
                <td>{{ component.Pcies }}</td>
            </tr>
            <tr>
                <th>Socket</th>
                <td>{{ component.Socket }}</td>
            </tr>
        </tbody>
    </table>
    <div class='d-flex justify-content-start'>

    <a class='btn btn-secondary btn-rounded me-3' href="{{ path('components_index') }}">back to list</a>

    <a class='btn btn-primary btn-rounded me-3 ' href="{{ path('components_edit', {'id': component.id}) }}">edit</a>

    {{ include('components/_delete_form.html.twig') }}
    </div>

{% endblock %}
